﻿using Windows.UI;
using Windows.UI.Text;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainPage()
        {
            this.InitializeComponent();

            TextBlock textBlock = new TextBlock();

            textBlock.HorizontalAlignment = HorizontalAlignment.Center;
            textBlock.VerticalAlignment   = VerticalAlignment.Center;
            textBlock.Foreground          = new SolidColorBrush(Colors.Yellow);
            textBlock.FontFamily          = new FontFamily("Times New Roman");
            textBlock.FontSize            = 96;
            textBlock.FontStyle           = FontStyle.Italic;
            textBlock.Text                = "Hello, Windows 10!";

            this.rootGrid.Children.Add(textBlock);
        }

        #endregion
    }
}